Syntax error after installation on APU board.



  • Hello,

    I have just installed (well, I think at least) pfSense on my brand new APU. I have connected it to the Serial port with a USB converter and can follow the booting and menu settings, no problem. However, just before the main menu is about to appear i get this error message;

    Parse error: syntax error, unexpected '.' in /etc/inc/captiveportal.inc on line 2113

    If I try press 1 to assign interfaces, i get the same error and it jumps back to the main menu. Same story if I hit 5 to reboot. So I have to unplug it go get it to power down.

    Thoughts?



  • Hmm…
    The version I installed when i experienced this was 2.1.4, but since 2.1.5 was released recently, i re-downloaded and installed again. Seems fine now. Very strange.